package cn.superdesk.uniorder.service.accounting.unified.supplier;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierIssues;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: 问题订单
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-02-24 13:44:11
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-02-24 13:44:11
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface AccountingUnifiedSupplierIssuesService extends BaseService<AccountingUnifiedSupplierIssues> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(AccountingUnifiedSupplierIssues entity);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplierIssues entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	AccountingUnifiedSupplierIssues findById(Long id);

	@Deprecated
	PageInfo<AccountingUnifiedSupplierIssues> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<AccountingUnifiedSupplierIssues> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addAccountingUnifiedSupplierIssues(AccountingUnifiedSupplierIssues entity);

	void updateAccountingUnifiedSupplierIssues(AccountingUnifiedSupplierIssues entity);

	void deleteAccountingUnifiedSupplierIssues(Long id);

	AccountingUnifiedSupplierIssues findAccountingUnifiedSupplierIssuesById(Long id);

	R<List<AccountingUnifiedSupplierIssues>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	void init001AccountingUnifiedSupplierIssuess(Integer isCreateExcel, LoginSysUser loginSysUser);


}